This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 847717 - RFE: Add sourcerpm property to hawkey package object
RFE: Add sourcerpm property to hawkey package object
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 06:49 EDT by Martin Gracik
Modified: 2015-07-02 07:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: hawkey-0.2.10-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 07:59:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Expose the sourcerpm property in python bindings patch (978 bytes, patch)
2012-09-04 08:02 EDT, Martin Gracik
no flags Details | Diff

  None (edit)
Description Martin Gracik 2012-08-13 06:49:31 EDT
It would be nice if the sourcerpm property could be accessed through the hawkey package object.
Comment 1 Ales Kozumplik 2012-08-21 10:21:50 EDT
Fixed on master by b07112d, there's the pkg.sourcerpm property now.
Comment 2 Fedora Update System 2012-08-23 08:08:12 EDT
hawkey-0.2.9-1.git8599c55.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.9-1.git8599c55.fc18
Comment 3 Fedora Update System 2012-08-23 11:37:24 EDT
Package hawkey-0.2.9-1.git8599c55.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.2.9-1.git8599c55.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12561/hawkey-0.2.9-1.git8599c55.fc18
then log in and leave karma (feedback).
Comment 4 Martin Gracik 2012-09-03 03:40:05 EDT
The python bindings still don't have access to this property.
Comment 5 Martin Gracik 2012-09-04 08:02:33 EDT
Created attachment 609655 [details]
Expose the sourcerpm property in python bindings patch
Comment 6 Ales Kozumplik 2012-09-10 07:21:20 EDT
Applied the patch from comment 5, thanks Martin.
Comment 7 Fedora Update System 2012-09-10 08:25:56 EDT
hawkey-0.2.10-2.gita198dea.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.10-2.gita198dea.fc18
Comment 8 Fedora Update System 2012-09-10 12:09:30 EDT
Package hawkey-0.2.10-2.gita198dea.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.2.10-2.gita198dea.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13730/hawkey-0.2.10-2.gita198dea.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-17 18:23:29 EDT
hawkey-0.2.10-2.gita198dea.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-17 18:52:08 EDT
hawkey-0.2.9-1.git8599c55.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jan ONDREJ 2015-07-02 06:31:02 EDT
Please add other properies too. primary.xml files contains:

    <rpm:license>LGPLv2+</rpm:license>                                          
    <rpm:vendor>Fedora Project</rpm:vendor>                                     
    <rpm:group>System Environment/Libraries</rpm:group>                         
    <rpm:buildhost>buildhw-09.phx2.fedoraproject.org</rpm:buildhost>            
    <rpm:sourcerpm>hawkey-0.5.1-1.fc21.src.rpm</rpm:sourcerpm>                  

license and sourcerpm is now accessible. group, vendor and buildhost are not.
Please add at least group property, but vendor and buildhost could be useful too.
Comment 12 Daniel Mach 2015-07-02 07:59:52 EDT
This request was already resolved.
Create a *new* bug for your request, please.

Note You need to log in before you can comment on or make changes to this bug.